Request PrivateLink Endpoint

1 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/request

Description

Request PrivateLink Endpoint

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example :
stringNone
bodybody
required

PrivateLinkEndpointRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "account_id": "",
        "approval_type": "MANUAL",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "endpoint_ip_address": "",
        "endpoint_ip_port_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "privatelink_service_id": "",
        "security_group_ids": [],
        "state": "REQUESTING",
        "subnet_id": "",
        "vpc_id": ""
    }
}